summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJulien Valroff <julien@kirya.net>2011-12-23 20:45:28 +0100
committerJulien Valroff <julien@kirya.net>2011-12-23 20:45:28 +0100
commitf7924ed40f3d32d037f5b1d7f9f1e4ef551c50ac (patch)
treefb2b2b2a5c2c9d7edeb5ee9aa1eef60007328ecc
parentf2ec03c9f6e2776ffc6ace051b2708d17f7a8d99 (diff)
Add support for "status" action to init.d script - thanks to Peter Eisentraut <petere@debian.org>
-rw-r--r--debian/changelog4
-rw-r--r--debian/mailgraph.init5
2 files changed, 7 insertions, 2 deletions
diff --git a/debian/changelog b/debian/changelog
index 2f73933..ed96188 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,8 +2,10 @@ mailgraph (1.14-10) unstable; urgency=low
* Add VCS fields
* Update DEP-5 uri
+ * Add support for "status" action to init.d script - thanks to Peter
+ Eisentraut <petere@debian.org>
- -- Julien Valroff <julien@debian.org> Sun, 18 Sep 2011 14:33:26 +0200
+ -- Julien Valroff <julien@debian.org> Fri, 23 Dec 2011 20:45:07 +0100
mailgraph (1.14-9) unstable; urgency=low
diff --git a/debian/mailgraph.init b/debian/mailgraph.init
index f1d0c26..20ca685 100644
--- a/debian/mailgraph.init
+++ b/debian/mailgraph.init
@@ -57,12 +57,15 @@ case "$1" in
rm -f $PID_FILE
log_end_msg $?
;;
+ status)
+ status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+ ;;
restart|force-reload)
$0 stop
$0 start
;;
*)
- echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
+ echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac